<?php

class PolylangPolylangSeoFieldsGetProcessor extends modObjectGetProcessor
{
    public $classKey = 'PolylangSeoFields';
    public $languageTopics = array('polylang:default');
    public $permission = 'polylang_polylangseofields_view';
    /** @var Polylang $polylang  */
    public $polylang ;

    public function initialize()
    {
        if (!$this->modx->hasPermission($this->permission)) {
            return $this->modx->lexicon('access_denied');
        }
        // $this->polylang = $this->modx->getService('polylang', 'Polylang');
        return parent::initialize();
    }

}

return 'PolylangPolylangSeoFieldsGetProcessor';